#history {}
@media (min-width: 900px) { #history { margin: 100px 0; } }
@media (max-width: 899.99px) { #history { margin: 75px 0; } }

/*------------------------------------------------------------------------*/

#history > .content-wrapper {
	display: flex;
	flex-direction: column;
}
@media (min-width: 900px)	 { #history > .content-wrapper { row-gap: 65px; } }
@media (max-width: 899.99px) { #history > .content-wrapper { row-gap: 35px; } }

/*------------------------------------------------------------------------*/

#history > .content-wrapper > header {
	text-align: center;
}
#history > .content-wrapper > header > * {
	max-width: 650px;
	margin: 0 auto;
	
	font-weight: 500;
}
#history > .content-wrapper > header > :not(:last-child) { margin-bottom: 25px; }
#history > .content-wrapper > header > .hook {}
#history > .content-wrapper > header > .title {
	max-width: 450px;
	line-height: 100%;
}
#history > .content-wrapper > header > .description {}
@media (min-width: 900px) {
	#history > .content-wrapper > header {}
	#history > .content-wrapper > header > .hook {
		line-height: 25px;
		font-size: 20px;
	}
	#history > .content-wrapper > header > .title {
		font-size: 50px;
	}
	#history > .content-wrapper > header > .description {
		line-height: 25px;
		font-size: 22px;
	}
}
@media (max-width: 899.99px) {
	#history > .content-wrapper > header {}
	#history > .content-wrapper > header > .hook {
		line-height: 25px;
		font-size: 20px;
	}
	#history > .content-wrapper > header > .title {
		font-size: 36px;
	}
	#history > .content-wrapper > header > .description {
		line-height: 130%;
		font-size: 18px;
	}
}

/*------------------------------------------------------------------------*/

#history > .content-wrapper > .events-wrapper {
	position: relative;
}
#history > .content-wrapper > .events-wrapper:after {
	--dur: 3.8s;
    --delay: -3s;
    --rotate: -30deg;
	
    content: '';
    position: absolute; z-index: 2;
    display: block;
	
    background-image: url("../../images/accents/accent-swirl.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
	
    opacity: 1; transition: opacity .4s ease-out;
	
    animation: link-float var(--dur) ease-in-out var(--delay) infinite;
}
@media (min-width: 900px) {
	#history > .content-wrapper > .events-wrapper:after {
		bottom: -50px; left: 0;
		height: 165px; width: 150px;
	}
}
@media (max-width: 899.99px) {
	#history > .content-wrapper > .events-wrapper:after {
		top: 60px; left: 35px;
		height: 165px; width: 150px;
	}
}

/*------------------------------------------------------------------------*/

#history > .content-wrapper > .events-wrapper > .events {
	position: relative;
	isolation: isolate;
}
#history > .content-wrapper > .events-wrapper > .events > .event {
	background-clip:
		padding-box,
		border-box;
	border: solid 1px transparent;
	border-radius: 30px;
	
	isolation: isolate;
}
#history > .content-wrapper > .events-wrapper > .events .event > .illustration {
	overflow: hidden;
	
	background-image: linear-gradient(245deg, #FFFFFF, #D6FFBB);
	border: solid 1px transparent;
	border-radius: 15px;
}
#history > .content-wrapper > .events-wrapper > .events .event > .content {
	display: flex; width: 100%;
	flex-direction: column;
	row-gap: 25px;
}
#history > .content-wrapper > .events-wrapper > .events .event > .content > * {
	margin: 0;
	font-weight: 500;
}
#history > .content-wrapper > .events-wrapper > .events .event > .content > .year {
	font-family: 'Pixelify Sans';
}
#history > .content-wrapper > .events-wrapper > .events .event > .content > .title {
	line-height: 110%;
}
#history > .content-wrapper > .events-wrapper > .events .event > .content > .description {
	line-height: 130%;
	font-size: 16px;
}
#history > .content-wrapper > .events-wrapper > .events .event > .cta-btn {
	justify-self: flex-end;
}
@media (min-width: 900px) {
	#history > .content-wrapper > .events-wrapper > .events { margin-top: 90px; }
	#history > .content-wrapper > .events-wrapper > .events > .event {
		display: grid;
		grid-template-areas:
			"illustration content"
			"illustration cta";
		grid-template-columns: repeat(2, 1fr);
		grid-template-rows: 1fr auto;
		column-gap: 50px;
		padding: 30px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .illustration {
		grid-area: illustration;
		position: absolute; top: 0; left: 0;
		height: 100%; width: 100%; overflow: hidden;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content {
		grid-area: content;
		padding: 75px 0;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .year {
		line-height: 100px;
		font-size: 150px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .title {
		font-size: 32px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .description {}
	#history > .content-wrapper > .events-wrapper > .events .event > .cta-btn {
		grid-area: cta;
		justify-self: flex-end;
	}
}
@media (max-width: 899.99px) {
	#history > .content-wrapper > .events-wrapper > .events { margin-top: 75px; }
	#history > .content-wrapper > .events-wrapper > .events > .event {
		display: flex;
		flex-direction: column;
		row-gap: 35px;
		padding: 25px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .illustration {
		position: relative;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .illustration:before {
		content: '';
		display: block;
		padding-top: 100%;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .illustration > .media-element {
		position: absolute; top: 0; left: 0;
		height: 100%; width: 100%;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content {
		width: 100%;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .year {
		line-height: 75px;
		font-size: 110px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .title {
		font-size: 28px;
	}
	#history > .content-wrapper > .events-wrapper > .events .event > .content > .description {}
	#history > .content-wrapper > .events-wrapper > .events .event > .cta-btn {
		align-self: flex-end;
	}
}


#history > .content-wrapper > .events-wrapper > .events > .event.slide-1 {
	background-image:
		linear-gradient(295.28deg, #B3CCDC 7.73%, #D5ED99 76.69%),
		linear-gradient(245deg, #FFFFFF, #D6FFBB);
	color: #000;
}
#history > .content-wrapper > .events-wrapper > .events > .event.slide-2 {
	background-image:
		linear-gradient(180deg, rgba(201, 221, 233, 0.93) 0%, rgba(219, 191, 200, 0.93) 100%),
		linear-gradient(245deg, #FFFFFF, #D6FFBB);
	color: #000;
}
#history > .content-wrapper > .events-wrapper > .events > .event.slide-3 {
	background-image:
		linear-gradient(0deg, #FBFAF5, #FBFAF5),
		linear-gradient(245deg, #FFFFFF, #D6FFBB);
	color: #000;
}
#history > .content-wrapper > .events-wrapper > .events > .event.slide-4 {
	background-image:
		linear-gradient(0deg, #364A67, #364A67),
		linear-gradient(245deg, #FFFFFF, #D6FFBB);
	color: #FFF;
}


#history > .content-wrapper > .events-wrapper > .events > .event:not(:last-child) {
	position: absolute; top: 0; left: 0; z-index: 0;
	height: 100%; width: 100%;
}
#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(3) {
    z-index: 1;
}
#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(2) {
    z-index: 2;
}
#history > .content-wrapper > .events-wrapper > .events > .event:last-child {
    position: relative;
    z-index: 3;
}
@media (min-width: 900px) {
	#history > .content-wrapper > .events-wrapper > .events > .event:not(:last-child)  { transform: translateY(-90px); }
	#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(3) { transform: translateY(-60px); }
	#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(2) { transform: translateY(-30px); }
}
@media (max-width: 899.99px) {
	#history > .content-wrapper > .events-wrapper > .events > .event:not(:last-child)  { transform: translateY(-75px); }
	#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(3) { transform: translateY(-50px); }
	#history > .content-wrapper > .events-wrapper > .events > .event:nth-last-child(2) { transform: translateY(-25px); }
}
